Subject: Re: [ANNOUNCE] new driver ixgbe for Intel(R) 10GbE PCI Express adapters.

From: "Kok, Auke" <[email-masked]>
Date: Wed, 13 Jun 2007 16:18:23 -0700

Francois Romieu wrote:
> [email-masked] <[email-masked]> :
> [...]
>> Please review and provide comments.
> 
> o ixgbe_call_func and the ton of wrappers which go along with it
>   should go.

hmmm good point, this is a bit too verbose perhaps ;)

> o boolean_t duplicates the existing 'bool'

yes, that's definately on the TODO list.... did I mention that sparse really 
doesn't like bool yet? :)

> o The options below {should be/are} handled through ethtool:
>   - TxDescriptors
>   - RxDescriptors
>   - XsumRX

I have been putting this on the todo list as well, but we kept it in for 
convenience reasons... not to mention that we've been keeping these options 
around in the other drivers, is there really a pressing need to remove them? 
I'll put it on the todo list for sure tho.

> o No __iomem annotations ?

Ack! that slipped through the cracks... DOH

> o pci_alloc_consistent() returns a zeroed area: no need for memset.

that is good to know, I didn't know that

> o ixgbe_clean_tx_irq() is issued from the NAPI poll handler (as the
>   name suggests...). Its locking will probably cause a deadlock if
>   it is interrupted and a call to netpoll_send_skb follows.

OK, we'll look into that. I'm not sure this is an issue tho.

Thanks for the feedback!

Auke

Auke